--- /dev/null
+#!/bin/bash
+#
+# 2010 Razvan Deaconescu, razvan.deaconescu@cs.pub.ro
+#
+# Parse log file
+# The script
+# * parses a client-specific log file
+#
+# Command line argument specifies client type, log folder and log file
+
+# use _DEBUG="off" to turn off debug printing
+_DEBUG="on"
+
+if test $# -ne 3; then
+ echo "usage: $0 client-type log-folder log-file" 1>&2
+ exit 1
+fi
+
+# Read the global configuration variables
+source ../ConfigFiles/globalconfig.txt
+
+# Read client mappings configuration file
+source ../ConfigFiles/client_script_mappings
+
+client_type=$1
+log_folder=$2
+log_file=$2
+
+parse_client_log ${client_type} ${log_folder} ${log_file}